
QGIS Application - Bug report #21775

qgis crash when filtering a layer with an attachment field

2019-04-05 10:41 AM - Sergii Brazhynenko

Status: Open

Priority: High

Assignee: Nyall Dawson

Category: Attribute table

Affected QGIS version:3.6.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 29590

Description

qgis  crash when filtering a layer with an attachment field

Crash ID: f40bf397c5155333687146b59354eebf255adf60

Stack Trace

QtPluginWidgetAdapter::~QtPluginWidgetAdapter :

WebCore::ImageDocument::imageElement :

WebCore::ImageDocument::imageElement :

WebCore::DocumentWriter::end :

QWebFrame::setUrl :

QgsExternalResourceWidget::loadDocument :

QMetaObject::activate :

QgsFileWidget::fileChanged :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsExternalResourceWidgetWrapper::setValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QgsDualView::mFeatureList_currentEditSelectionChanged :

QMetaObject::activate :

QgsFeatureListView::currentEditSelectionChanged :

QgsFeatureListView::editSelectionChanged :

QMetaObject::activate :

QItemSelectionModel::emitSelectionChanged :

QItemSelectionModel::select :

QItemSelectionModel::select :

QgsFeatureListViewDelegate::~QgsFeatureListViewDelegate :

QMetaObject::activate :

QTimer::timerEvent :

QObject::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :
QEventDispatcherWin32::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QCoreApplicationPrivate::sendPostedEvents :

qt_plugin_query_metadata :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.6.1-Noosa

QGIS code revision: 2468226bc9

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Related to QGIS Application - Bug report # 19118: Crash when clicking browse ... Open 2018-06-05

History

#1 - 2019-04-06 11:58 AM - Giovanni Manghi

- Subject changed from qgis  crash when filtering a layer with an attachment field to qgis crash when filtering a layer with an attachment field

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

duplicate/related to #19118 ?

#2 - 2019-04-06 12:01 PM - Giovanni Manghi

what are the exact steps to replicate?
#3 - 2019-04-06 12:33 PM - Sergii Brazhynenko

to repeat the crash:

1) Have a layer of any geometry with such characteristics for at least one field:

      - widget type - attachment

        integratеd document viewer (Type- web page)

2) Start filtering in the attribute table for any field

#4 - 2019-04-06 01:34 PM - Giovanni Manghi

Sergii Brazhynenko wrote:

to repeat the crash:

1) Have a layer of any geometry with such characteristics for at least one field:

- widget type - attachment

        integratеd document viewer (Type- web page)

2) Start filtering in the attribute table for any field

Cannot replicate here, can you please attach a project with data? thanks.

#5 - 2019-04-06 02:17 PM - Jürgen Fischer

- Description updated

#6 - 2019-04-06 11:27 PM - Sergii Brazhynenko

- File test.zip added

In the attached archive, project, gpkg-file,

and a small video clip.

Thanks

#7 - 2019-04-07 12:42 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Operating System deleted (Ms windows 10)

Confirmed also on Linux:

QGIS died on signal 11Could not attach to process.  If your uid matches the uid of the target

process, check the setting of /proc/sys/kernel/yama/ptrace_scope, or try

again as the root user.  For more details, see /etc/sysctl.d/10-ptrace.conf

ptrace: Operation not permitted.

No thread selected

No stack.

gdb returned 0

Aborted (core dumped)

#8 - 2019-04-07 12:42 PM - Giovanni Manghi

2025-04-26 3/4



- Regression? changed from No to Yes

#9 - 2019-04-07 08:35 PM - Jürgen Fischer

Giovanni Manghi wrote:

ptrace: Operation not permitted.

See creating a backtrace

#10 - 2019-05-23 11:12 AM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#11 - 2019-05-23 11:35 AM - Alessandro Pasotti

- Related to Bug report #19118: Crash when clicking browse button in attachment edit widget added

#12 - 2019-05-23 02:41 PM - Alessandro Pasotti

- Resolution set to up/downstream

- File Screenshot_20190523_122609.png added

- Assignee deleted (Alessandro Pasotti)

Sorry I couldn't make it, apparently the bug is inside QtWebKit (upstream), I'm attaching a valgrind snapshot with the invalid write.

#13 - 2019-05-23 05:00 PM - Giovanni Manghi

Alessandro Pasotti wrote:

Sorry I couldn't make it, apparently the bug is inside QtWebKit (upstream), I'm attaching a valgrind snapshot with the invalid write.

this also means that the attachment widget is (from a user point of view) completely "broken"? https://issues.qgis.org/issues/19118

#14 - 2019-05-24 01:58 AM - Nyall Dawson

- Assignee set to Nyall Dawson

Files

test.zip 1.14 MB 2019-04-06 Sergii Brazhynenko

Screenshot_20190523_122609.png 662 KB 2019-05-23 Alessandro Pasotti
https://qgis.org/en/site/getinvolved/development/bugreporting.html#creating-a-backtrace
https://issues.qgis.org/issues/19118

